onEvent('recipes', event =>{
    //apple vinegar
    event.recipes.createMixing(Fluid.of('kubejs:apple_vinegar',1000), [
        '2x minecraft:sugar',
        '2x minecraft:apple',
        (Fluid.of('minecraft:water',1000))
        ]).heated()
    //copper oxide
    event.recipes.createMixing(Fluid.of('kubejs:copper_oxide',1000), [
        'mekanism:salt',
        '2x #forge:dusts/copper',
        (Fluid.of('kubejs:apple_vinegar',1000))
        ]).superheated()
    
    event.recipes.createCrushing([
        '#forge:dusts/copper'
      ],'#forge:ingots/copper')

    event.recipes.createMixing('create:copper_ingot', ['6x createautomated:copper_ore_piece',]).superheated()

    event.recipes.createCompacting(['kubejs:drill_sand_cast','kubejs:drill_head_mold'],['kubejs:drill_head_mold','tconstruct:blank_sand_cast'])
    event.recipes.createCompacting(['kubejs:drill_red_sand_cast','kubejs:drill_head_mold'],['kubejs:drill_head_mold','tconstruct:blank_red_sand_cast'])	
    //frame bottom
    event.recipes.createCompacting('kubejs:frame_bottom',[
    '5x #forge:ingots/invar'
    ]).heated()
    //frame top
    event.recipes.createCompacting('kubejs:frame_top',[
        '5x #forge:ingots/aluminum'
        ]).heated()

    //sequenced assembly
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:unobtainium_drillhead').withChance(100.0)], 'kubejs:drill_sand_cast', [
            event.recipes.createFilling('kubejs:incomplete_unobtanium_drill_sand_cast', ['kubejs:incomplete_unobtanium_drill_sand_cast',Fluid.of('allthemodium:molten_unobtainium', 1000)]),
            event.recipes.createPressing('kubejs:incomplete_unobtanium_drill_sand_cast', 'kubejs:incomplete_unobtanium_drill_sand_cast')])
            .transitionalItem('kubejs:incomplete_unobtanium_drill_sand_cast').loops(1)



    event.recipes.createSequencedAssembly([
        Item.of('kubejs:unobtainium_drillhead').withChance(100.0)], 'kubejs:drill_red_sand_cast', [
            event.recipes.createFilling('kubejs:incomplete_unobtanium_drill_red_sand_cast', ['kubejs:incomplete_unobtanium_drill_red_sand_cast',Fluid.of('allthemodium:molten_unobtainium', 1000)]),
            event.recipes.createPressing('kubejs:incomplete_unobtanium_drill_red_sand_cast', 'kubejs:incomplete_unobtanium_drill_red_sand_cast')])
            .transitionalItem('kubejs:incomplete_unobtanium_drill_red_sand_cast').loops(1)

    //core
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:filled_frame_core').withChance(100.0)
    ], 'kubejs:frame_core', [
        event.recipes.createFilling('kubejs:frame_core', ['kubejs:frame_core', Fluid.of('kubejs:copper_oxide', 1000)]),
    ]).transitionalItem('kubejs:filled_frame_core').loops(1)

    //semi-assembled
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:semi_assembled_frame').withChance(100.0)
    ], 'kubejs:filled_frame_core', [
        event.recipes.createDeploying('kubejs:filled_frame_core', ['kubejs:filled_frame_core', 'kubejs:frame_bottom']),
    ]).transitionalItem('kubejs:semi_assembled_frame').loops(1)

    //machine frame
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:assembled_frame').withChance(100.0)
    ], 'kubejs:semi_assembled_frame', [
        event.recipes.createDeploying('kubejs:semi_assembled_frame', ['kubejs:semi_assembled_frame', 'kubejs:frame_top']),
    ]).transitionalItem('kubejs:assembled_frame').loops(1)
    
    // Netherite ingot
    event.recipes.create.mixing('minecraft:netherite_ingot', [
        'minecraft:netherite_scrap',
        'minecraft:netherite_scrap',
        'minecraft:netherite_scrap',
        'minecraft:netherite_scrap',
        'minecraft:gold_ingot',
        'minecraft:gold_ingot',
        'minecraft:gold_ingot',
        'minecraft:gold_ingot'
    ]).heated()

    //onEvent('recipes', event => {
        //event.recipes.createSequencedAssembly([
        //    Item.of('kubejs:unobtainium_drillhead').withChance(100.0)
        //], 'kubejs:drill_red_sand_cast', [
        //    event.recipes.createFilling('kubejs:incomplete_unobtanium_drill_red_sand_cast', ['kubejs:incomplete_unobtanium_drill_red_sand_cast', Fluid.of('allthemodium:molten_unobtainium', 1000)]),
        //    event.recipes.createPressing('kubejs:incomplete_unobtanium_drill_red_sand_cast', 'kubejs:incomplete_unobtanium_drill_red_sand_cast')
        //]).transitionalItem('kubejs:incomplete_unobtanium_drill_red_sand_cast').loops(6)
    //})

})
